package com.red.circle.common.business.enums;

/**
 * <p>
 * 用户活动领取状态.
 * </p>
 *
 * @author pengshigang
 * @since 2021-06-21
 */
public enum PropsActivityReceiveStatusEnum {

  /**
   * 未领取
   */
  NOT_RECEIVED("NOT_RECEIVED", "未领取"),

  /**
   * 已领取
   */
  RECEIVED("RECEIVED", "已领取"),

  /**
   * 不满足领取条件
   */
  INELIGIBLE("INELIGIBLE", "不满足领取条件"),
  ;

  private final String name;

  private final String desc;

  PropsActivityReceiveStatusEnum(String name, String desc) {
    this.name = name;
    this.desc = desc;
  }

  public String getName() {
    return name;
  }

  public String getDesc() {
    return desc;
  }

}
